vtm Struct Reference

`#include <timev.h>`

## Data Fields

VALUE | year
int | mon
int | mday
int | hour
int | min
int | sec
VALUE | subsecx
VALUE | utc_offset
int | wday
int | yday
int | isdst
const char * | zone

## Detailed Description

Definition at line 4 of file timev.h.

## Field Documentation

int vtm::hour

Definition at line 8 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), init_leap_second_info(), localtimew(), rb_strftime_with_timespec(), small_vtm_sub(), time_arg(), time_hour(), time_init_1(), time_mdump(), time_mload(), time_to_a(), timegmw(), timegmw_noleapsecond(), timelocalw(), validate_vtm(), vtm2tm_noyear(), vtm_add_offset(), and vtmcmp().

int vtm::isdst

Definition at line 15 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), guess_local_offset(), localtimew(), time_arg(), time_init_1(), time_isdst(), time_mload(), time_to_a(), timelocalw(), and vtm2tm_noyear().

int vtm::mday

Definition at line 7 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), init_leap_second_info(), localtimew(), rb_strftime_with_timespec(), small_vtm_sub(), time_arg(), time_init_1(), time_mday(), time_mdump(), time_mload(), time_to_a(), timegmw(), timegmw_noleapsecond(), timelocalw(), validate_vtm(), vtm2tm_noyear(), vtm_add_offset(), and vtmcmp().

int vtm::min

Definition at line 9 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), init_leap_second_info(), localtimew(), rb_strftime_with_timespec(), small_vtm_sub(), time_arg(), time_init_1(), time_mdump(), time_min(), time_mload(), time_to_a(), timegmw(), timegmw_noleapsecond(), timelocalw(), validate_vtm(), vtm2tm_noyear(), vtm_add_offset(), and vtmcmp().

int vtm::mon

Definition at line 6 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), guess_local_offset(), init_leap_second_info(), localtimew(), rb_strftime_with_timespec(), small_vtm_sub(), time_arg(), time_init_1(), time_mdump(), time_mload(), time_mon(), time_to_a(), timegmw(), timegmw_noleapsecond(), timelocalw(), validate_vtm(), vtm2tm_noyear(), vtm_add_offset(), and vtmcmp().

int vtm::sec

Definition at line 10 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), init_leap_second_info(), localtimew(), rb_strftime_with_timespec(), small_vtm_sub(), time_arg(), time_init_1(), time_mdump(), time_mload(), time_sec(), time_to_a(), timegmw(), timegmw_noleapsecond(), timelocalw(), validate_vtm(), vtm2tm_noyear(), vtm_add_offset(), and vtmcmp().

VALUE vtm::subsecx

Definition at line 11 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), init_leap_second_info(), localtimew(), time_arg(), time_init_1(), time_mark(), time_mdump(), time_mload(), timegmw(), timegmw_noleapsecond(), timelocalw(), validate_vtm(), vtm_add_offset(), and vtmcmp().

VALUE vtm::utc_offset

Definition at line 12 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), init_leap_second_info(), localtimew(), rb_strftime_with_timespec(), time_add(), time_arg(), time_fixoff(), time_init_1(), time_mark(), time_mload(), time_utc_offset(), timelocalw(), validate_vtm(), vtm2tm_noyear(), and vtm_add_offset().

int vtm::wday

Definition at line 13 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), guess_local_offset(), localtimew(), rb_strftime_with_timespec(), time_arg(), time_init_1(), time_mload(), time_to_a(), time_wday(), vtm2tm_noyear(), and vtm_add_offset().

int vtm::yday

Definition at line 14 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), localtimew(), rb_strftime_with_timespec(), time_arg(), time_init_1(), time_mload(), time_to_a(), time_yday(), vtm2tm_noyear(), and vtm_add_offset().

VALUE vtm::year

Definition at line 5 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), guess_local_offset(), init_leap_second_info(), localtimew(), rb_strftime_with_timespec(), small_vtm_sub(), time_arg(), time_init_1(), time_mark(), time_mdump(), time_mload(), time_to_a(), time_year(), timegmw(), timegmw_noleapsecond(), timelocalw(), vtm2tm_noyear(), vtm_add_offset(), and vtmcmp().

const char* vtm::zone

Definition at line 16 of file timev.h.

Referenced by gmtimew(), gmtimew_noleapsecond(), guess_local_offset(), localtimew(), rb_strftime_with_timespec(), time_arg(), time_init_1(), time_mload(), time_zone(), and vtm2tm_noyear().

The documentation for this struct was generated from the following file:

- timev.h